Knowledge Base Home

Call Support


Search the Knowledge Base

Skip to end of metadata
Go to start of metadata

Environment

Netmail Archive 6.x

Synopsis

In order to perform operations with PST files (eg. import/export) the Archive servers will require Microsoft Outlook installed on them.  Supported versions include Outlook 2010/2013/2016, and it must be 32-bit.  However attempting to install the software on the Archive server may result in a message similar to "Outlook is already installed on this computer".

Solution

The cause of this error is often due to the presence of Messaging API & Collaboration Data Objects.  Find this item in the Control Panel -> Programs & Features, uninstall it, and try the Outlook deployment again.

Notes

Messaging API & Collaboration Data Objects is delivered by default on the Archive servers because it is required to process signed/encrypted messages using the Redemption API.  Outlook also provides this functionality however Netmail does not have rights to distribute this software.


Help us improve!
Is this article helpful?
Is it well written?
Is the content complete?

  • No labels

1 Comment

  1. In some cases, Outlook may install on the Archive server despite the presence of Messaging API & Collaboration Data Objects. However it is still recommended to uninstall it as it has been known to cause other issues during PST processing, including error similar to "error in imsgserviceadmin::configuremsgservice: mapi_e_not_enough_resources".